ApiHive3ReplicationMetricsProgress (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHive3ReplicationMetricsProgress

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHive3ReplicationMetricsProgress

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHive3ReplicationMetricsProgress
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHive3ReplicationMetricsProgress()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHive3ReplicationMetricsProgress` | `addStagesItem(ApiHive3ReplicationMetricsStage stagesItem)`
    `boolean` | `equals(Object o)`
    `List<ApiHive3ReplicationMetricsStage>` | `getStages()`
    `ApiHive3ReplicationMetricsStatus` | `getStatus()`
    `int` | `hashCode()`
    `void` | `setStages(List<ApiHive3ReplicationMetricsStage> stages)`
    `void` | `setStatus(ApiHive3ReplicationMetricsStatus status)`
    `ApiHive3ReplicationMetricsProgress` | `stages(List<ApiHive3ReplicationMetricsStage> stages)`
    `ApiHive3ReplicationMetricsProgress` | `status(ApiHive3ReplicationMetricsStatus status)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHive3ReplicationMetricsProgress

          public ApiHive3ReplicationMetricsProgress()

  - ### Method Detail

    - #### status

          public ApiHive3ReplicationMetricsProgress status(ApiHive3ReplicationMetricsStatus status)

    - #### getStatus

          public ApiHive3ReplicationMetricsStatus getStatus()

      Returns:
        status

    - #### setStatus

          public void setStatus(ApiHive3ReplicationMetricsStatus status)

    - #### stages

          public ApiHive3ReplicationMetricsProgress stages(List<ApiHive3ReplicationMetricsStage> stages)

    - #### addStagesItem

          public ApiHive3ReplicationMetricsProgress addStagesItem(ApiHive3ReplicationMetricsStage stagesItem)

    - #### getStages

          public List<ApiHive3ReplicationMetricsStage> getStages()

      Returns:
        stages

    - #### setStages

          public void setStages(List<ApiHive3ReplicationMetricsStage> stages)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.